| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
cv::gapi::ov::detail::ParamDesc Struct Reference

`#include <opencv2/gapi/infer/ov.hpp>`

Collaboration diagram for cv::gapi::ov::detail::ParamDesc:

## Classes
struct | CompiledModel
struct | Model

## Public Types
using | Kind = cv::util::variant<Model, CompiledModel>
using | PluginConfigT = std::map<std::string, std::string>

## Public Member Functions
| ParamDesc (Kind &&kind_, const std::string &device_, const bool is_generic_, const size_t num_in_, const size_t num_out_)

## Public Attributes
PluginConfigT | config
std::string | device
std::vector< std::string > | input_names
bool | is_generic
Kind | kind
size_t | nireq = 1
std::size_t | num_in
std::size_t | num_out
std::vector< std::string > | output_names

## Member Typedef Documentation

## ◆ Kind

using cv::gapi::ov::detail::ParamDesc::Kind = cv::util::variant<Model, CompiledModel>

## ◆ PluginConfigT

using cv::gapi::ov::detail::ParamDesc::PluginConfigT = std::map<std::string, std::string>

## Constructor & Destructor Documentation

## ◆ ParamDesc()

cv::gapi::ov::detail::ParamDesc::ParamDesc | ( | Kind && | kind_,
|  | const std::string & | device_,
|  | const bool | is_generic_,
|  | const size_t | num_in_,
|  | const size_t | num_out_ )
| inline

## Member Data Documentation

## ◆ config

PluginConfigT cv::gapi::ov::detail::ParamDesc::config

## ◆ device

std::string cv::gapi::ov::detail::ParamDesc::device

## ◆ input_names

std::vector<std::string> cv::gapi::ov::detail::ParamDesc::input_names

## ◆ is_generic

bool cv::gapi::ov::detail::ParamDesc::is_generic

## ◆ kind

Kind cv::gapi::ov::detail::ParamDesc::kind

## ◆ nireq

size_t cv::gapi::ov::detail::ParamDesc::nireq = 1

## ◆ num_in

std::size_t cv::gapi::ov::detail::ParamDesc::num_in

## ◆ num_out

std::size_t cv::gapi::ov::detail::ParamDesc::num_out

## ◆ output_names

std::vector<std::string> cv::gapi::ov::detail::ParamDesc::output_names

The documentation for this struct was generated from the following file:

- opencv2/gapi/infer/ov.hpp